TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Solution ( elt-ord^rat a, elt-ord^rat b, elt-ord^rat m ) -> elt-ord^rat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> If solution exists to a*x = b mod m, then returns x0, k such that x = x0 + i*k represents the complete set of solutions, where i can be any integer. Otherwise, returns -1. [m > 0]. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack